com.google.gwt.i18n.client

## Interface LocalizedNames

All Known Implementing Classes:
  DefaultLocalizedNames, DefaultLocalizedNamesBase

    public interface LocalizedNames

Provides an API for obtaining localized names for a locale.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String[]` `getLikelyRegionCodes()`
`java.lang.String` `getRegionName(java.lang.String regionCode)` Get the localized name of a given region in this locale.
`java.lang.String[]` `getSortedRegionCodes()`

### Method Detail

#### getLikelyRegionCodes

    java.lang.String[] getLikelyRegionCodes()

Returns:
  a possibly empty array of region codes, ordered by the literate population speaking the language of this locale.

#### getRegionName

    java.lang.String getRegionName(java.lang.String regionCode)

Get the localized name of a given region in this locale.

Parameters:
  `regionCode` -
Returns:
  localized name

#### getSortedRegionCodes

    java.lang.String[] getSortedRegionCodes()

Returns:
  an array of region codes of currently valid countries, ordered according to the collating order of this locale.